



function faction:worldgen/struct/placement/boss_n_dungs/increase_score




kill @e[tag=WG_FEATURE_marker,tag=!FEATURE_GRASS,distance=..24]


# Assigns the number for the warning
execute as @s[scores={StructGen_Timer_1=1}] run scoreboard players set @s Number_1200 1200

# Generate a Random Time for Renewal of the Structure
execute as @s[scores={StructGen_Timer_1=2}] run execute store result score @s StructGen_Var_1 run random value 72000..144000
# execute as @s[scores={StructGen_Timer_1=2}] run execute store result score @s StructGen_Var_1 run random value 400..401

# Sets the timer for the warning particles to spawn
execute as @s[scores={StructGen_Timer_1=3}] run execute store result score @s StructGen_WarningVar run scoreboard players operation @s StructGen_Var_1 -= @s Number_1200


# Tags nearby items to be removed
execute as @s[scores={StructGen_Timer_1=1..100}] run execute as @e[type=item,distance=..25] at @s run tag @e[type=item,distance=..15] add STRUCT__ItemRemoval

# This are to remove items that are close to teleporting zones
execute as @s[scores={StructGen_Timer_1=1..100}] run execute as @e[tag=TELEPORT_ZONE,distance=..30.0] at @s run execute as @e[tag=CLAN_BASE_ENTITY,tag=CLAN_BASE_READY_FOR_DELETION,distance=..20] at @s run tag @s add STRUCT__ItemRemoval
execute as @s[scores={StructGen_Timer_1=1..100}] positioned ~ ~20 ~ run execute as @e[tag=TELEPORT_ZONE,distance=..30.0] at @s run execute as @e[tag=CLAN_BASE_ENTITY,tag=CLAN_BASE_READY_FOR_DELETION,distance=..20] at @s run tag @s add STRUCT__ItemRemoval


# Tag nearby CLAN_BASE_ENTITY to be removed
execute as @s[scores={StructGen_Timer_1=1..58}] run kill @e[tag=BOSSNDUNGS_MARKER_GUIDE,limit=100,sort=nearest,distance=..90]
execute as @s[scores={StructGen_Timer_1=1..100}] run execute as @e[tag=CLAN_BASE_ENTITY,tag=CLAN_BASE_READY_FOR_DELETION,distance=..30] at @s run tag @s add STRUCT__ItemRemoval




# These are particle and sound effects that depend on how close a player is 
execute as @s[scores={StructGen_Timer_1=1..100}] if entity @a[distance=..50] run function faction:worldgen/struct/placement/boss_n_dungs/vanishing_vfx
execute as @s[scores={StructGen_Timer_1=1..100}] unless entity @a[limit=1,sort=nearest,distance=..50] run function faction:worldgen/struct/placement/boss_n_dungs/vanishing_vfx_from_afar


# Tags players in survival and adventure mode to be teleported away
execute as @s[scores={StructGen_Timer_1=1..100}] run function faction:worldgen/struct/placement/boss_n_dungs/_keep_out_cmds


# Clear the area and place grass layer
execute as @s[scores={StructGen_Timer_1=30}] run execute positioned ~-22.5 ~ ~-22.5 run function faction:worldgen/struct/placement/boss_n_dungs/clear_area
execute as @s[scores={StructGen_Timer_1=35}] run execute positioned ~-22.5 ~ ~-22.5 run function faction:worldgen/struct/placement/boss_n_dungs/clear_area
execute as @s[scores={StructGen_Timer_1=37}] run execute positioned ~-22.5 ~ ~-22.5 run fill ~ ~ ~ ~23 ~ ~23 grass_block

# Place the structure
execute as @s[scores={StructGen_Timer_1=59}] run execute positioned ~-22.5 ~ ~-22.5 run function faction:worldgen/struct/placement/boss_n_dungs/place_struc

# Chat MSG
execute as @s[scores={StructGen_Timer_1=59}] run function faction:other_features/chat/bossndungs



# Cmds to do when close to renewal
execute if score @s StructGen_Timer_1 > @s StructGen_WarningVar run function faction:worldgen/struct/placement/boss_n_dungs/warning_vfx

execute if score @s StructGen_Timer_1 = @s StructGen_Var_1 run function faction:worldgen/struct/placement/boss_n_dungs/_shift_structure
