


# 
# WEAPON ID:
# sword = 1
# axe = 2
# bow = 3

# Increase timer if this is an AXE or SWORD if there is an opponent nearby
execute as @s[tag=FRIENDLY,scores={Ab_ConjuredWeap_ID=1..2}] if entity @e[tag=!Player_Ally,type=!#faction:non_tan_n_arrows,distance=..1.75] run scoreboard players add @s Ab_ConjuredWeap_2 1
execute as @s[tag=ENEMY,scores={Ab_ConjuredWeap_ID=1..2}] if entity @a[distance=..1.75] run scoreboard players add @s Ab_ConjuredWeap_2 1

# Reset Timer if this is an AXE or SWORD if there is no longer an opponent nearby
execute as @s[tag=FRIENDLY,scores={Ab_ConjuredWeap_ID=1..2}] unless entity @e[tag=!Player_Ally,type=!#faction:non_tan_n_arrows,distance=..1.75] run scoreboard players reset @s Ab_ConjuredWeap_2 
execute as @s[tag=ENEMY,scores={Ab_ConjuredWeap_ID=1..2}] unless entity @a[distance=..1.75] run scoreboard players reset @s Ab_ConjuredWeap_2 



# Increase the Score regardless if this is a BOW
execute as @s[scores={Ab_ConjuredWeap_ID=3}] run scoreboard players add @s Ab_ConjuredWeap_2 1
# # # # #

# This makes it look at the opponent
execute as @s[scores={Ab_ConjuredWeap_2=1}] run function faction:entity/abilities/mage/conjure/weap_cmds/look_at

# Starts the counter rotation (wind up effect?)
execute as @s[scores={Ab_ConjuredWeap_2=4..8,Ab_ConjuredWeap_ID=1..2}] run tp @s ~ ~ ~ ~-30 ~
# Starts the swing rotation
execute as @s[scores={Ab_ConjuredWeap_2=27..30,Ab_ConjuredWeap_ID=1..2}] run tp @s ~ ~ ~ ~30 ~


# This is the attack timer trigger for the SWORD
execute as @s[scores={Ab_ConjuredWeap_2=30..,Ab_ConjuredWeap_ID=1}] run function faction:entity/abilities/mage/conjure/weap_cmds/attack/_attack


# This is the attack timer trigger for the AXE
execute as @s[scores={Ab_ConjuredWeap_2=60..,Ab_ConjuredWeap_ID=2}] run function faction:entity/abilities/mage/conjure/weap_cmds/attack/_attack


# This is the attack timer trigger for the BOW
execute as @s[scores={Ab_ConjuredWeap_2=45..,Ab_ConjuredWeap_ID=3}] run function faction:entity/abilities/mage/conjure/weap_cmds/attack/_attack


# RESET FAILSAFE (IGNORE THIS)
execute as @s[scores={Ab_ConjuredWeap_2=91..}] run scoreboard players reset @s Ab_ConjuredWeap_2 




