# VERDANT WIZARD
#
# Every 30s, summon a magic spell book, whenever a spellbook is nearby,
# boss will be inmune to damage:
#   - The spells books will target the player and choose between 
#       random attacks:
#           1. Fire bolt: A fireball that leaves a fire spot on collision.
#           2. Frost bolt: An ice ball that freezes the player on collision.
#           3. Shock bolt: A ball of energy that weakens the player on collision.
#           

# DELETE IF NO GUIDE MARKER IS NEARBY
function faction:entity_cmds/bossndungs/delete_if_no_bossndungs_marker

# DELETE IF NO VERDANT WIZARD IS NEARBY
execute unless entity @e[tag=BOSS_VerdantWizard,distance=..75] run function faction:kill

# VFX
function faction:entity_cmds/boss/verdant_wizard/book_cmds/vfx

scoreboard players add @s Boss_Sb_1 1

# Choose the Casting Time to execute the spell (Round 1)
execute as @s[scores={Boss_Sb_1=1}] run execute store result score @s Boss_Sb_2 run random value 60..300

# Choose the Type of Spell
execute as @s[scores={Boss_Sb_1=1}] run execute store result score @s Boss_Sb_3 run random value 1..3

# Cast the Spell when the main scoreboard matches the Casting Time (Boss_Sb_2)
execute if score @s Boss_Sb_1 = @s Boss_Sb_2 run function faction:entity_cmds/boss/verdant_wizard/book_cmds/cast

# Choose the Casting Time to execute the spell (Round 1)
execute as @s[scores={Boss_Sb_1=301}] run execute store result score @s Boss_Sb_2 run random value 400..500

# Fail Safe
execute as @s[scores={Boss_Sb_1=500..}] run function faction:entity_cmds/boss/verdant_wizard/book_cmds/disappear
